## pianobar 2016.06.02

=== Makefile ===
# makefile of pianobar

PREFIX:=/usr/local
BINDIR:=${PREFIX}/bin
LIBDIR:=${PREFIX}/lib
INCDIR:=${PREFIX}/include
MANDIR:=${PREFIX}/share/man
DYNLINK:=0
CFLAGS?=-O2 -DNDEBUG

ifeq (${CC},cc)
	OS := $(shell uname)
	ifeq (${OS},Darwin)
		CC:=gcc -std=c99
	else ifeq (${OS},FreeBSD)
		CC:=cc -std=c99
	else ifeq (${OS},OpenBSD)
		CC:=cc -std=c99
	else
		CC:=c99
	endif
endif

PIANOBAR_DIR:=src
PIANOBAR_SRC:=\
		${PIANOBAR_DIR}/main.c \
		${PIANOBAR_DIR}/player.c \
		${PIANOBAR_DIR}/settings.c \
		${PIANOBAR_DIR}/terminal.c \
		${PIANOBAR_DIR}/ui_act.c \
		${PIANOBAR_DIR}/ui.c \
		${PIANOBAR_DIR}/ui_readline.c \
		${PIANOBAR_DIR}/ui_dispatch.c
PIANOBAR_OBJ:=${PIANOBAR_SRC:.c=.o}

LIBPIANO_DIR:=src/libpiano
LIBPIANO_SRC:=\
		${LIBPIANO_DIR}/crypt.c \
		${LIBPIANO_DIR}/piano.c \
		${LIBPIANO_DIR}/request.c \
		${LIBPIANO_DIR}/response.c \
		${LIBPIANO_DIR}/list.c
LIBPIANO_OBJ:=${LIBPIANO_SRC:.c=.o}
LIBPIANO_RELOBJ:=${LIBPIANO_SRC:.c=.lo}
LIBPIANO_INCLUDE:=${LIBPIANO_DIR}

LIBAV_CFLAGS:=$(shell pkg-config --cflags libavcodec libavformat libavutil libavfilter)
LIBAV_LDFLAGS:=$(shell pkg-config --libs libavcodec libavformat libavutil libavfilter)

LIBCURL_CFLAGS:=$(shell pkg-config --cflags libcurl)
LIBCURL_LDFLAGS:=$(shell pkg-config --libs libcurl)

LIBGCRYPT_CFLAGS:=
LIBGCRYPT_LDFLAGS:=-lgcrypt

LIBJSONC_CFLAGS:=$(shell pkg-config --cflags json-c 2>/dev/null || pkg-config --cflags json)
LIBJSONC_LDFLAGS:=$(shell pkg-config --libs json-c 2>/dev/null || pkg-config --libs json)

LIBAO_CFLAGS:=$(shell pkg-config --cflags ao)
LIBAO_LDFLAGS:=$(shell pkg-config --libs ao)

# combine all flags
ALL_CFLAGS:=${CFLAGS} -I ${LIBPIANO_INCLUDE} \
			${LIBAV_CFLAGS} ${LIBCURL_CFLAGS} \
			${LIBGCRYPT_CFLAGS} ${LIBJSONC_CFLAGS} \
			${LIBAO_CFLAGS}
ALL_LDFLAGS:=${LDFLAGS} -lpthread -lm \
			${LIBAV_LDFLAGS} ${LIBCURL_LDFLAGS} \
			${LIBGCRYPT_LDFLAGS} ${LIBJSONC_LDFLAGS} \
			${LIBAO_LDFLAGS}

# Be verbose if V=1 (gnu autotools’ --disable-silent-rules)
SILENTCMD:=@
SILENTECHO:=@echo
ifeq (${V},1)
	SILENTCMD:=
	SILENTECHO:=@true
endif

# build pianobar
ifeq (${DYNLINK},1)
pianobar: ${PIANOBAR_OBJ} libpiano.so.0
	${SILENTECHO} "  LINK  $@"
	${SILENTCMD}${CC} -o $@ ${PIANOBAR_OBJ} -L. -lpiano ${ALL_LDFLAGS}
else
pianobar: ${PIANOBAR_OBJ} ${LIBPIANO_OBJ}
	${SILENTECHO} "  LINK  $@"
	${SILENTCMD}${CC} -o $@ ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${ALL_LDFLAGS}
endif

# build shared and static libpiano
libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_OBJ}
	${SILENTECHO} "  LINK  $@"
	${SILENTCMD}${CC} -shared -Wl,-soname,libpiano.so.0 -o libpiano.so.0.0.0 \
			${LIBPIANO_RELOBJ} ${ALL_LDFLAGS}
	${SILENTCMD}ln -fs libpiano.so.0.0.0 libpiano.so.0
	${SILENTCMD}ln -fs libpiano.so.0 libpiano.so
	${SILENTECHO} "    AR  libpiano.a"
	${SILENTCMD}${AR} rcs libpiano.a ${LIBPIANO_OBJ}


-include $(PIANOBAR_SRC:.c=.d)
-include $(LIBPIANO_SRC:.c=.d)

# build standard object files
%.o: %.c
	${SILENTECHO} "    CC  $<"
	${SILENTCMD}${CC} -c -o $@ ${ALL_CFLAGS} -MMD -MF $*.d -MP $<

# create position independent code (for shared libraries)
%.lo: %.c
	${SILENTECHO} "    CC  $< (PIC)"
	${SILENTCMD}${CC} -c -fPIC -o $@ ${ALL_CFLAGS} -MMD -MF $*.d -MP $<

clean:
	${SILENTECHO} " CLEAN"
	${SILENTCMD}${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
			${LIBPIANO_RELOBJ} pianobar libpiano.so* \
			libpiano.a $(PIANOBAR_SRC:.c=.d) $(LIBPIANO_SRC:.c=.d)

all: pianobar

ifeq (${DYNLINK},1)
install: pianobar install-libpiano
else
install: pianobar
endif
	install -d ${DESTDIR}${BINDIR}/
	install -m755 pianobar ${DESTDIR}${BINDIR}/
	install -d ${DESTDIR}${MANDIR}/man1/
	install -m644 contrib/pianobar.1 ${DESTDIR}${MANDIR}/man1/

install-libpiano:
	install -d ${DESTDIR}${LIBDIR}/
	install -m644 libpiano.so.0.0.0 ${DESTDIR}${LIBDIR}/
	ln -fs libpiano.so.0.0.0 ${DESTDIR}${LIBDIR}/libpiano.so.0
	ln -fs libpiano.so.0 ${DESTDIR}${LIBDIR}/libpiano.so
	install -m644 libpiano.a ${DESTDIR}${LIBDIR}/
	install -d ${DESTDIR}${INCDIR}/
	install -m644 src/libpiano/piano.h ${DESTDIR}${INCDIR}/

.PHONY: install install-libpiano test debug all

=== debian/changelog ===
pianobar (2016.06.02-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Sat, 08 Oct 2016 23:26:04 -0500

pianobar (2016.06.02-1) unstable; urgency=medium

  * New upstream release.

 -- Luke Faraone <lfaraone@debian.org>  Sun, 21 Aug 2016 17:10:14 +0000

pianobar (2015.11.22-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update homepage.
  * d/control: Drop build-dep on libgnutls28-dev, add libcurl4-gnutls-dev.
  * d/pianobar.docs: README → README.md
  * d/libpiano0.symbols: Update for the removal of libwaitress.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 22 Nov 2015 14:13:45 -0500

=== debian/control ===
Source: pianobar
Section: sound
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Unit 193 <unit193@ubuntu.com>
Bugs: mailto: <maintainer@mepiscommunity.org>
Build-Depends:
 debhelper (>= 9),
 libao-dev,
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libcurl4-gnutls-dev,
 libgcrypt20-dev,
 libjson-c-dev,
 libpth-dev,
 pkg-config
Standards-Version: 3.9.8
Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
Homepage: https://6xq.net/pianobar/

Package: pianobar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libaudio-scrobbler-perl
Description: console based player for Pandora radio
 pianobar is a cross-platform console client for the personalized web radio
 Pandora, supporting all important features the official Flash™ client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.

Package: pianobar-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, pianobar (= ${binary:Version})
Description: console based player for Pandora radio - debugging symbols
 pianobar is a cross-platform console client for the personalized web radio
 Pandora, supporting all important features the official Flash™ client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 .
 This package contains the debugging symbols.

Package: libpiano0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to interface with Pandora radio -- runtime files
 libpiano is a cross-platform library to interface with the personalized
 web radio Pandora, supporting all important features the official Flash™
 client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 .
 This package provides the runtime files used to run application
 built against libpiano.

Package: libpiano-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libpiano0 (= ${binary:Version}), ${misc:Depends}
Description: library to interface with Pandora radio -- development
 libpiano is a cross-platform library to interface with the personalized
 web radio Pandora, supporting all important features the official Flash™
 client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 .
 This package provides the development files used to build application
 using libpiano.

## pianobar 2017.08.30

=== debian/changelog ===
pianobar (2017.08.30-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.0.
  * d/control, d/rules: Drop pianobar-dbg and migrate to auto dbgsym packages.
  * d/control, d/copyright, d/watch: Use https where possible.
  * d/copyright: Update years, add myself.
  * d/rules:
    - Enable all hardening, sans pie.
    - Enable verbose build.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 30 Aug 2017 11:54:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
+Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders:
  Romain Beauxis <toots@rastageeks.org>,
  Unit 193 <unit193@ubuntu.com>
-Bugs: mailto: <maintainer@mepiscommunity.org>
 Build-Depends:
  debhelper (>= 9),
  libao-dev,
@@ -19,9 +17,9 @@
  libjson-c-dev,
  libpth-dev,
  pkg-config
-Standards-Version: 3.9.8
-Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
-Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
+Standards-Version: 4.1.0
+Vcs-Bzr: https://anonscm.debian.org/bzr/collab-maint/pianobar
+Vcs-Browser: https://anonscm.debian.org/loggerhead/collab-maint/pianobar
 Homepage: https://6xq.net/pianobar/
 
 Package: pianobar
@@ -42,30 +40,7 @@
     * Proxy support for use in areas not supported by Pandora (outside the USA)
  .
  You need an account in order to use this player, so please consider
- create one for free before using pianobar at http://pandora.com.
-
-Package: pianobar-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, pianobar (= ${binary:Version})
-Description: console based player for Pandora radio - debugging symbols
- pianobar is a cross-platform console client for the personalized web radio
- Pandora, supporting all important features the official Flash™ client has:
- .
-    * Create, delete, rename stations and add more music
-    * Rate and temporary ban tracks as well as move them to another station
-    * “Shared stations”
- .
- and some that it does not have (yet):
- .
-    * last.fm scrobbling
-    * Proxy support for use in areas not supported by Pandora (outside the USA)
- .
- You need an account in order to use this player, so please consider
- create one for free before using pianobar at http://pandora.com.
- .
- This package contains the debugging symbols.
+ create one for free before using pianobar at https://pandora.com.
 
 Package: libpiano0
 Architecture: any
@@ -88,7 +63,7 @@
     * Proxy support for use in areas not supported by Pandora (outside the USA)
  .
  You need an account in order to use this player, so please consider
- create one for free before using pianobar at http://pandora.com.
+ create one for free before using pianobar at https://pandora.com.
  .
  This package provides the runtime files used to run application
  built against libpiano.
@@ -114,7 +89,7 @@
     * Proxy support for use in areas not supported by Pandora (outside the USA)
  .
  You need an account in order to use this player, so please consider
- create one for free before using pianobar at http://pandora.com.
+ create one for free before using pianobar at https://pandora.com.
  .
  This package provides the development files used to build application
  using libpiano.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export V=1

override_dh_auto_build:
	dh_auto_build -- DYNLINK=1

override_dh_strip:
	dh_strip --dbgsym-migration='pianobar-dbg (<< 2017.08.30-1~)'

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_install:
	dh_install --list-missing

override_dh_auto_install:
	dh_auto_install -- DYNLINK=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/

%:
	dh $@

## pianobar 2018.06.22

=== debian/changelog ===
pianobar (2018.06.22-1) unstable; urgency=medium

  * New upstream release.
    - Drop upstream patch.
  * d/compat, d/control: Bump dh compat to 11.
  * d/control: Update Vcs-* fields for move to Salsa.
  * d/rules:
    - Include architecture.mk rather than deriving DEB_HOST_MULTIARCH ourself.
    - Enable 'pie' hardening.
    - Replace use of dh_install --list-missing with dh_missing --list-missing.
  * Update Standards-Version to 4.2.0.
  * Fix target of previous changelog entry.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 29 Jul 2018 23:33:01 -0400

pianobar (2017.08.30-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix build against ffmpeg 4.0. (Closes: #888385)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 21:19:06 +0200

pianobar (2017.08.30-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.0.
  * d/control, d/rules: Drop pianobar-dbg and migrate to auto dbgsym packages.
  * d/control, d/copyright, d/watch: Use https where possible.
  * d/copyright: Update years, add myself.
  * d/rules:
    - Enable all hardening, sans pie.
    - Enable verbose build.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 30 Aug 2017 11:54:29 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Romain Beauxis <toots@rastageeks.org>,
  Unit 193 <unit193@ubuntu.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libao-dev,
  libavcodec-dev,
  libavfilter-dev,
@@ -17,9 +17,9 @@
  libjson-c-dev,
  libpth-dev,
  pkg-config
-Standards-Version: 4.1.0
-Vcs-Bzr: https://anonscm.debian.org/bzr/collab-maint/pianobar
-Vcs-Browser: https://anonscm.debian.org/loggerhead/collab-maint/pianobar
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/debian/pianobar.git
+Vcs-Browser: https://salsa.debian.org/debian/pianobar
 Homepage: https://6xq.net/pianobar/
 
 Package: pianobar

## pianobar 2019.02.14

=== Makefile ===
--- 
+++ 
@@ -139,4 +139,13 @@
 	install -d ${DESTDIR}${INCDIR}/
 	install -m644 src/libpiano/piano.h ${DESTDIR}${INCDIR}/
 
-.PHONY: install install-libpiano test debug all
+uninstall:
+	$(RM) ${DESTDIR}/${BINDIR}/pianobar \
+	${DESTDIR}/${MANDIR}/man1/pianobar.1 \
+	${DESTDIR}/${LIBDIR}/libpiano.so.0.0.0 \
+	${DESTDIR}/${LIBDIR}/libpiano.so.0 \
+	${DESTDIR}/${LIBDIR}/libpiano.so \
+	${DESTDIR}/${LIBDIR}/libpiano.a \
+	${DESTDIR}/${INCDIR}/piano.h
+
+.PHONY: install install-libpiano uninstall test debug all

=== debian/changelog ===
pianobar (2019.02.14-1build1) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:58:00 +0200

pianobar (2019.02.14-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 14 Feb 2019 17:59:32 -0500

pianobar (2019.01.25-1) unstable; urgency=medium

  * New upstream release.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * Update Standards-Version to 4.3.0.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 25 Jan 2019 18:47:51 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Romain Beauxis <toots@rastageeks.org>,
  Unit 193 <unit193@ubuntu.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libao-dev,
  libavcodec-dev,
  libavfilter-dev,
@@ -17,7 +17,7 @@
  libjson-c-dev,
  libpth-dev,
  pkg-config
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/pianobar.git
 Vcs-Browser: https://salsa.debian.org/debian/pianobar
 Homepage: https://6xq.net/pianobar/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export V=1

override_dh_auto_build:
	dh_auto_build -- DYNLINK=1

override_dh_strip:
	dh_strip --dbgsym-migration='pianobar-dbg (<< 2017.08.30-1~)'

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install:
	dh_auto_install -- DYNLINK=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_missing:
	dh_missing --list-missing

%:
	dh $@

=== debian/watch ===
# Vcs-Git: git://github.com/PromyLOPh/pianobar.git
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
https://6xq.net/projects/pianobar/ pianobar-(.*)\.tar\.bz2

## pianobar 2020.04.05

=== debian/changelog ===
pianobar (2020.04.05-1build1) groovy; urgency=medium

  * No change rebuild against new json-c ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 17:47:21 +0100

pianobar (2020.04.05-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Update years.
  * d/control: R³: no.
  * d/libpiano0.symbols:
    - Set Build-Depends-Package and remove symbols long since missing.
  * d/rules:
    - Pack CPPFLAGS into CFLAGS.
    - Drop dbgsym migration.
    - Set dh_missing to fail on uninstalled files.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 05 Apr 2020 17:32:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Luke Faraone <lfaraone@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders:
  Romain Beauxis <toots@rastageeks.org>,
  Unit 193 <unit193@ubuntu.com>
@@ -17,7 +18,8 @@
  libjson-c-dev,
  libpth-dev,
  pkg-config
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/pianobar.git
 Vcs-Browser: https://salsa.debian.org/debian/pianobar
 Homepage: https://6xq.net/pianobar/

## pianobar 2020.11.28

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 PIANOBAR_DIR:=src
 PIANOBAR_SRC:=\
 		${PIANOBAR_DIR}/main.c \
+		${PIANOBAR_DIR}/debug.c \
 		${PIANOBAR_DIR}/player.c \
 		${PIANOBAR_DIR}/settings.c \
 		${PIANOBAR_DIR}/terminal.c \

=== debian/changelog ===
pianobar (2020.11.28-1) unstable; urgency=medium

  * New upstream version 2020.11.28.
  * d/control, d/copyright: Update my email address.
  * d/control: Bump DH compat to 13.
  * d/libpiano0.symbols: Add new symbol.
  * d/watch: Update to version 4.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Mon, 30 Nov 2020 22:10:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
+Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders:
  Romain Beauxis <toots@rastageeks.org>,
- Unit 193 <unit193@ubuntu.com>
+ Unit 193 <unit193@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libao-dev,
  libavcodec-dev,
  libavfilter-dev,
@@ -19,7 +18,7 @@
  libpth-dev,
  pkg-config
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/pianobar.git
 Vcs-Browser: https://salsa.debian.org/debian/pianobar
 Homepage: https://6xq.net/pianobar/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CFLAGS_MAINT_PREPEND = $(CPPFLAGS)
export V=1

override_dh_auto_build:
	dh_auto_build -- DYNLINK=1

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install:
	dh_auto_install -- DYNLINK=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@

=== debian/watch ===
# Vcs-Git: git://github.com/PromyLOPh/pianobar.git
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://6xq.net/projects/pianobar/ pianobar-(.*)\.tar\.bz2

## pianobar 2022.04.01

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # makefile of pianobar
 
+PKG_CONFIG?=pkg-config
 PREFIX:=/usr/local
 BINDIR:=${PREFIX}/bin
 LIBDIR:=${PREFIX}/lib
@@ -45,20 +46,20 @@
 LIBPIANO_RELOBJ:=${LIBPIANO_SRC:.c=.lo}
 LIBPIANO_INCLUDE:=${LIBPIANO_DIR}
 
-LIBAV_CFLAGS:=$(shell pkg-config --cflags libavcodec libavformat libavutil libavfilter)
-LIBAV_LDFLAGS:=$(shell pkg-config --libs libavcodec libavformat libavutil libavfilter)
+LIBAV_CFLAGS:=$(shell $(PKG_CONFIG) --cflags libavcodec libavformat libavutil libavfilter)
+LIBAV_LDFLAGS:=$(shell $(PKG_CONFIG) --libs libavcodec libavformat libavutil libavfilter)
 
-LIBCURL_CFLAGS:=$(shell pkg-config --cflags libcurl)
-LIBCURL_LDFLAGS:=$(shell pkg-config --libs libcurl)
+LIBCURL_CFLAGS:=$(shell $(PKG_CONFIG) --cflags libcurl)
+LIBCURL_LDFLAGS:=$(shell $(PKG_CONFIG) --libs libcurl)
 
 LIBGCRYPT_CFLAGS:=
 LIBGCRYPT_LDFLAGS:=-lgcrypt
 
-LIBJSONC_CFLAGS:=$(shell pkg-config --cflags json-c 2>/dev/null || pkg-config --cflags json)
-LIBJSONC_LDFLAGS:=$(shell pkg-config --libs json-c 2>/dev/null || pkg-config --libs json)
+LIBJSONC_CFLAGS:=$(shell $(PKG_CONFIG) --cflags json-c 2>/dev/null || $(PKG_CONFIG) --cflags json)
+LIBJSONC_LDFLAGS:=$(shell $(PKG_CONFIG) --libs json-c 2>/dev/null || $(PKG_CONFIG) --libs json)
 
-LIBAO_CFLAGS:=$(shell pkg-config --cflags ao)
-LIBAO_LDFLAGS:=$(shell pkg-config --libs ao)
+LIBAO_CFLAGS:=$(shell $(PKG_CONFIG) --cflags ao)
+LIBAO_LDFLAGS:=$(shell $(PKG_CONFIG) --libs ao)
 
 # combine all flags
 ALL_CFLAGS:=${CFLAGS} -I ${LIBPIANO_INCLUDE} \

=== debian/changelog ===
pianobar (2022.04.01-1) unstable; urgency=medium

  * New upstream version 2022.04.01.
    - Makefile: Allow cross-building (Closes: #956118)
    - player: Add missing include for ffmpeg 5.0 (Closes: #1004619)
  * d/pianobar.docs: Follow upstream rename: README.md → README.rst.
  * d/copyright: Update years.
  * d/rules: Drop --as-needed as it's default in stable now.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Fri, 01 Apr 2022 19:15:30 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libpth-dev,
  pkg-config
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/pianobar.git
 Vcs-Browser: https://salsa.debian.org/debian/pianobar
 Homepage: https://6xq.net/pianobar/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 include /usr/share/dpkg/default.mk
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_CFLAGS_MAINT_PREPEND = $(CPPFLAGS)
 export V=1

## pianobar 2024.12.21

=== Makefile ===
--- 
+++ 
@@ -52,8 +52,8 @@
 LIBCURL_CFLAGS:=$(shell $(PKG_CONFIG) --cflags libcurl)
 LIBCURL_LDFLAGS:=$(shell $(PKG_CONFIG) --libs libcurl)
 
-LIBGCRYPT_CFLAGS:=
-LIBGCRYPT_LDFLAGS:=-lgcrypt
+LIBGCRYPT_CFLAGS:=$(shell $(PKG_CONFIG) --cflags libgcrypt)
+LIBGCRYPT_LDFLAGS:=$(shell $(PKG_CONFIG) --libs libgcrypt)
 
 LIBJSONC_CFLAGS:=$(shell $(PKG_CONFIG) --cflags json-c 2>/dev/null || $(PKG_CONFIG) --cflags json)
 LIBJSONC_LDFLAGS:=$(shell $(PKG_CONFIG) --libs json-c 2>/dev/null || $(PKG_CONFIG) --libs json)

=== debian/changelog ===
pianobar (2024.12.21-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:10:11 +0000

pianobar (2024.12.21-1) unstable; urgency=medium

  * New upstream version 2024.12.21.
    - Drop upstream commit.

 -- Unit 193 <unit193@debian.org>  Sat, 28 Dec 2024 22:47:54 -0500

pianobar (2022.04.01-2) unstable; urgency=medium

  * d/p/ffmpeg7.patch: Grab upstream commit to fix FTBFS with ffmpeg7.
    (Closes: #1072445)
  * d/control: Update B-D, pkg-config → pkgconf, drop libpth-dev.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Fri, 23 Aug 2024 01:32:43 -0400

pianobar (2022.04.01-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063229

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:48:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Luke Faraone <lfaraone@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders:
  Romain Beauxis <toots@rastageeks.org>,
  Unit 193 <unit193@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libao-dev,
  libavcodec-dev,
@@ -15,10 +16,9 @@
  libcurl4-gnutls-dev,
  libgcrypt20-dev,
  libjson-c-dev,
- libpth-dev,
- pkg-config
+ pkgconf
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/pianobar.git
 Vcs-Browser: https://salsa.debian.org/debian/pianobar
 Homepage: https://6xq.net/pianobar/
@@ -43,7 +43,10 @@
  You need an account in order to use this player, so please consider
  create one for free before using pianobar at https://pandora.com.
 
-Package: libpiano0
+Package: libpiano0t64
+Provides: ${t64:Provides}
+Replaces: libpiano0
+Breaks: libpiano0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -74,7 +77,7 @@
 Multi-Arch: same
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpiano0 (= ${binary:Version}), ${misc:Depends}
+Depends: libpiano0t64 (= ${binary:Version}), ${misc:Depends}
 Description: library to interface with Pandora radio -- development
  libpiano is a cross-platform library to interface with the personalized
  web radio Pandora, supporting all important features the official Flash™
